{
  "schema_version": "1.4.0",
  "id": "GHSA-9xgv-x5fv-g6vp",
  "modified": "2025-04-20T03:36:28Z",
  "published": "2022-05-14T02:05:03Z",
  "aliases": [
    "CVE-2016-2347"
  ],
  "details": "Integer underflow in the decode_level3_header function in lib/lha_file_header.c in Lhasa before 0.3.1 allows remote attackers to execute arbitrary code via a crafted archive.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-2347"
    },
    {
      "type": "WEB",
      "url": "https://github.com/fragglet/lhasa/commit/6fcdb8f1f538b9d63e63a5fa199c5514a15d4564"
    },
    {
      "type": "WEB",
      "url": "https://github.com/fragglet/lhasa/releases/tag/v0.3.1"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2016-04/msg00038.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2016-04/msg00039.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3540"
    },
    {
      "type": "WEB",
      "url": "http://www.talosintelligence.com/reports/TALOS-2016-0095"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-04-21T20:59:00Z"
  }
}